@echo off
SET NEWLINE=^& echo.

attrib -r %WINDIR%\system32\drivers\etc\hosts 

FIND /C /I "newsoftwares.net" %WINDIR%\system32\drivers\etc\hosts
IF %ERRORLEVEL% NEQ 0 ECHO ^127.0.0.1 newsoftwares.net>>%WINDIR%\system32\drivers\etc\hosts

FIND /C /I "www.newsoftwares.net" %WINDIR%\system32\drivers\etc\hosts
IF %ERRORLEVEL% NEQ 0 ECHO ^127.0.0.1 www.newsoftwares.net>>%WINDIR%\system32\drivers\etc\hosts

FIND /C /I "password-protect-folders.net" %WINDIR%\system32\drivers\etc\hosts
IF %ERRORLEVEL% NEQ 0 ECHO ^127.0.0.1 password-protect-folders.net>>%WINDIR%\system32\drivers\etc\hosts

FIND /C /I "www.password-protect-folders.net" %WINDIR%\system32\drivers\etc\hosts
IF %ERRORLEVEL% NEQ 0 ECHO ^127.0.0.1 www.password-protect-folders.net>>%WINDIR%\system32\drivers\etc\hosts

attrib +r %WINDIR%\system32\drivers\etc\hosts